---
- hosts: all
  gather_facts: no

  tasks:
  - name: Update Root user's Password
    user: 
      name: root
      update_password: always 
      password: "{{ root_user.password }}"
    when: root_user is defined and root_user|length > 0
